### Method

# EDataCal CalMetaBackend set_cache

since: 3.26

#### Declaration [src]

    void
    e_cal_meta_backend_set_cache (
      ECalMetaBackend* meta_backend,
      ECalCache* cache
    )

#### Description [src]

Sets the `cache` as the cache to be used by the `meta_backend`. By default, a cache.db in ECalBackend::cache-dir is created in the constructed method. This function can be used to override the default.

Note the `meta_backend` adds its own reference to the `cache`.

Available since: 3.26

Sets property | `EDataCal.CalMetaBackend:cache`

#### Parameters

`cache`

  Type: `ECalCache`

  An `ECalCache` to use.

  The data is owned by the caller of the method.